Name:           perl-Test-Unit
Version:        0.25
Release:        3%{?dist}
Summary:        The PerlUnit testing framework

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://perlunit.sourceforge.net/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MC/MCAST/Test-Unit-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Class::Inner)
BuildRequires:  perl(Devel::Symdump)
BuildRequires:  perl(Error)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This framework is intended to support unit testing in an object-oriented
development paradigm (with support for inheritance of tests etc.) and is
derived from the JUnit testing framework for Java by Kent Beck and Erich
Gamma.


%prep
%setup -q -n Test-Unit-%{version}
sed -i 's/\r//' examples/Experimental/Sample.pm
chmod a+x TkTestRunner.pl TestRunner.pl

cat << EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(Experimental::Sample)/d' -e '/perl(fail_example)/d' -e '/perl(fail_example_testsuite_setup)/d'
EOF
%define __perl_provides %{_builddir}/Test-Unit-%{version}/%{name}-prov
chmod +x %{__perl_provides}

cat << EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(Exporter)/d'
EOF
%define __perl_requires %{_builddir}/Test-Unit-%{version}/%{name}-req
chmod +x %{__perl_requires}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog Changes COPYING.Artistic COPYING.GPL-2 doc examples README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Fri Dec 21 2007 Xavier Bachelot <xavier@bachelot.org> - 0.25-3
- Mangle Summary.
- Fix License.
- Filter unwanted provides.

* Thu Dec 20 2007 Xavier Bachelot <xavier@bachelot.org> - 0.25-2
- Filter unwanted require.

* Tue Dec 11 2007 Xavier Bachelot <xavier@bachelot.org> - 0.25-1
- Initial build.
